Bug 63858 - VMware fails with glibc-2.2.5-32
VMware fails with glibc-2.2.5-32
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-19 13:04 EDT by buster
Modified: 2016-11-24 09:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 05:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description buster 2002-04-19 13:04:39 EDT
Description of Problem:
Newest RPMs of glibc and glibc-common cause VMware installation to fail on 
network configuration.

Version-Release number of selected component (if applicable):
glibc-2.2.5-30, glibc-common-2.2.5-30, glibc-2.2.5-32, glibc-common-2.2.5-32

How Reproducible:
Install Skipjack beta 2 and use update agent to install all available updates. Then 
try to install VMware Workstation 3.1.  VMware configuration fails when finding 
available networks for NAT, etc.  Searching USENET, I found a suggestion to 
downgrade to glibc found on Skipjack CD (2.2.5-30)- this fixed the problem.  

Steps to Reproduce:
1. Install Skipjack Beta 2
2. Apply all updates using Update Agent
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Christian Thibodeau 2002-04-22 18:54:44 EDT
The same problem (relocation error, missing symbol: atexit) also occurs if you
try to run the Citrix ICAClient and the Veritas NetBackup Linux client.

The problem went away when i downgraded glibc-*-32 to glibc-*-30.
Comment 2 R.K.Aa. 2002-05-18 10:39:29 EDT
i think these are two different problems.
The original bug may be related to bug 62357

The missing "atexit" in the coment above i saw in glibc-2.2.5-32 with several
apps, in particular GL related ones (quake3 amongts others), but *upgrading* to
glibc-2.2.5-34 cured it (the one with RH 7.3)
Comment 3 Ulrich Drepper 2003-04-17 13:12:09 EDT
What is the statuc of this if you use RHL9 and LD_ASSUME_KERNEL=2.4.1?
Comment 4 Ulrich Drepper 2003-10-03 05:52:47 EDT
No reply in almost 6 months.  Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.